### Method

# Msg MailService get_messages

#### Declaration [src]

    GList*
    msg_mail_service_get_messages (
      MsgMailService* self,
      MsgMailFolder* folder,
      const char* next_link,
      char** out_next_link,
      const char* delta_link,
      char** out_delta_link,
      int max_page_size,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Get all mails for given service.

#### Parameters

`folder`

  Type: `MsgMailFolder`

  No description available.

  The data is owned by the caller of the method.

`next_link`

  Type: `const char*`

  Next link if available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_next_link`

  Type: `char**`

  Next next link.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`delta_link`

  Type: `const char*`

  Delta link if used.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_delta_link`

  Type: `char**`

  New delta link.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`max_page_size`

  Type: `int`

  Maximal page size.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `MsgMailMessage*`

All mails the user can access.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.